#include <iostream>
using namespace std;
int main()
{
    long long a,b,c,maxi,mini,brn=1,brv=1,a1,b1,c1;
    cin>>a>>b>>c;
    maxi=a;
    a1=maxi;
    if(maxi<b){
        maxi=b;
        a1=0;
        b1=maxi;
    }
    if(maxi<c){
        maxi=c;
        a1=0;
        b1=0;
        c1=maxi;
    }
    mini=a;
    if(mini>b)
        mini=b;
    if(mini>c)
        mini=c;
    while(maxi>0){
        maxi=maxi/10;
        brv=brv*10;
    }
    while(mini>0){
        mini=mini/10;
        brn=brn*10;
    }
    brv=brv/brn;
    if(a/10==0)
        a1=a*brv;
    if(b/10==0)
        b1=b*brv;
    if(c/10==0)
        c1=c*brv;
    if(a1>b1){
        if(b1>c1)
            cout<<a<<b<<c;
        if(c1>b1){
            if(c1>a1)
                cout<<c<<a<<b;
            else
                cout<<a<<c<<b;
        }
    }
    else{
        if(b1<c1)
            cout<<c<<b<<a;
        if(c1<b1){
            if(c1<a1)
                cout<<b<<a<<c;
            else
                cout<<b<<c<<a;
        }
    }
}